Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/sites/$site/categories/slug:$category/delete |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID, The site domain |
| $category | (string) | The category slug |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The category ID. |
| name | (string) | The name of the category. |
| slug | (string) | The slug of the category. |
| description | (string) | The description of the category. |
| post_count | (int) | The number of posts using this category. |
| parent | (int) | The parent ID for the category. |
| meta | (object) | Meta data |
Example
cURL
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ 'https://public-api.wordpress.com/rest/v1/sites/30434183/categories/slug:some-category-name/delete'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/categories/slug:some-category-name/delete',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"slug": "some-category-name",
"success": "true"
}